# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name          = "delegate"
  spec.version       = "0.2.0"
  spec.authors       = ["Yukihiro Matsumoto"]
  spec.email         = ["matz@ruby-lang.org"]

  spec.summary       = %q{Provides three abilities to delegate method calls to an object.}
  spec.description   = %q{Provides three abilities to delegate method calls to an object.}
  spec.homepage      = "https://github.com/ruby/delegate"
  spec.licenses      = ["Ruby", "BSD-2-Clause"]

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `find . -type f -not -path "*/.git/*" -printf "%P\\0" 2>/dev/null`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.7'
end
